import { FC, PropsWithChildren, ReactNode } from "react";
export interface HeaderProps {
    headerPlaceholder?: boolean;
    headerRender?: () => ReactNode;
}

import clsx from "clsx";
import styles from "./style.module.scss";

const Header: FC<PropsWithChildren<HeaderProps>> = (props) => {
    const { headerPlaceholder = true, headerRender } = props;
    const cs = clsx({
        [styles.placeholder]: headerPlaceholder,
    });
    return (
        <div className={cs}>
            <div className={styles.headerWrap}>
                {headerRender ? headerRender() : <div>defaultHeader</div>}
            </div>
        </div>
    );
};

export default Header;
